Package io.dapr.v1

# Class DaprProtos.SubtleWrapKeyResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>
io.dapr.v1.DaprProtos.SubtleWrapKeyResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubtleWrapKeyResponseOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubtleWrapKeyResponse

public static final class DaprProtos.SubtleWrapKeyResponse.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder> implements DaprProtos.SubtleWrapKeyResponseOrBuilder

     SubtleWrapKeyResponse is the response for SubtleWrapKeyAlpha1.

Protobuf type `dapr.proto.runtime.v1.SubtleWrapKeyResponse`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.SubtleWrapKeyResponse.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleWrapKeyResponse`
`build()`
`DaprProtos.SubtleWrapKeyResponse`
`buildPartial()`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`clear()`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`clearTag()`
Authentication tag.
`DaprProtos.SubtleWrapKeyResponse.Builder`
`clearWrappedKey()`
Wrapped key.
`DaprProtos.SubtleWrapKeyResponse.Builder`
`clone()`
`DaprProtos.SubtleWrapKeyResponse`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`com.google.protobuf.ByteString`
`getTag()`
Authentication tag.
`com.google.protobuf.ByteString`
`getWrappedKey()`
Wrapped key.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`mergeFrom(DaprProtos.SubtleWrapKeyResponse other)`
`final DaprProtos.SubtleWrapKeyResponse.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`setTag(com.google.protobuf.ByteString value)`
Authentication tag.
`final DaprProtos.SubtleWrapKeyResponse.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleWrapKeyResponse.Builder`
`setWrappedKey(com.google.protobuf.ByteString value)`
Wrapped key.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### clear

public DaprProtos.SubtleWrapKeyResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### getDefaultInstanceForType

public DaprProtos.SubtleWrapKeyResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.SubtleWrapKeyResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.SubtleWrapKeyResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.SubtleWrapKeyResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### setField

public DaprProtos.SubtleWrapKeyResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### clearField

public DaprProtos.SubtleWrapKeyResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### clearOneof

public DaprProtos.SubtleWrapKeyResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### setRepeatedField

public DaprProtos.SubtleWrapKeyResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### addRepeatedField

public DaprProtos.SubtleWrapKeyResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### mergeFrom

public DaprProtos.SubtleWrapKeyResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### mergeFrom

public DaprProtos.SubtleWrapKeyResponse.Builder mergeFrom(DaprProtos.SubtleWrapKeyResponse other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### mergeFrom

public DaprProtos.SubtleWrapKeyResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`
Throws:
  `IOException`

### getWrappedKey

public com.google.protobuf.ByteString getWrappedKey()

     Wrapped key.

`bytes wrapped_key = 1 [json_name = "wrappedKey"];`

Specified by:
  `getWrappedKey` in interface `DaprProtos.SubtleWrapKeyResponseOrBuilder`
Returns:
  The wrappedKey.

### setWrappedKey

public DaprProtos.SubtleWrapKeyResponse.Builder setWrappedKey(com.google.protobuf.ByteString value)

     Wrapped key.

`bytes wrapped_key = 1 [json_name = "wrappedKey"];`

Parameters:
  `value` - The wrappedKey to set.
Returns:
  This builder for chaining.

### clearWrappedKey

public DaprProtos.SubtleWrapKeyResponse.Builder clearWrappedKey()

     Wrapped key.

`bytes wrapped_key = 1 [json_name = "wrappedKey"];`

Returns:
  This builder for chaining.

### getTag

public com.google.protobuf.ByteString getTag()

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 2;`

Specified by:
  `getTag` in interface `DaprProtos.SubtleWrapKeyResponseOrBuilder`
Returns:
  The tag.

### setTag

public DaprProtos.SubtleWrapKeyResponse.Builder setTag(com.google.protobuf.ByteString value)

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 2;`

Parameters:
  `value` - The tag to set.
Returns:
  This builder for chaining.

### clearTag

public DaprProtos.SubtleWrapKeyResponse.Builder clearTag()

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 2;`

Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.SubtleWrapKeyResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`

### mergeUnknownFields

public final DaprProtos.SubtleWrapKeyResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleWrapKeyResponse.Builder>`